<?php
    /**
    *
    * copyright (c) 2013-2022 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
    */

    include "../include/costanti.php";
    include "../include/util.php";
    include "../gUtil/DbManager.php";
    include "../classi/GeneratoreUrl.php";
    include "../gUtil/GestoreUpload.php";

    session_start();
    if(!isset($_SESSION["geecomUser_email"])) {
        header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        $utente     = $geecomDb->leggiSingolaRiga("geec_utenti", $_SESSION["geecomUser_id"]);
        $operazione = filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING);
        
        if($_FILES['file']['name']=="") { //se non c'è l'immagine percorsoFoto = vuoto
            $aggiornaPercorsoFoto ="";
        }
        else { //se c'è l'immagine viene salvata e inserita nel percorso foto
            $tipiFileAmmessi = array("image/png","image/jpeg","image/gif");
            $prefissoFile  = uniqid();
            $gestoreUpload = new GestoreUpload("file", $tipiFileAmmessi, 8, "../immagini/utenti", 0, $prefissoFile);
            $esitoUpload  = $gestoreUpload->salvaFile();
            if($esitoUpload["percorso"]=="") {
                echo "errore: file non ammesso";
                exit();
            }
            else {
                $percorsoFoto = str_replace("../","",$esitoUpload["percorso"]);
 		$_SESSION["geecomUser_foto"] = $percorsoFoto;
            }
        }
        
        if($operazione=="cambiaFotoProfilo") {
            $queryAggiornamentoUtente ="UPDATE geec_utenti SET foto = '$percorsoFoto' WHERE id={$_SESSION["geecomUser_id"]}";
            $geecomDb->eseguiQueryScrittura($queryAggiornamentoUtente);
            echo $percorsoFoto;
        }
        
        if($operazione=="eliminaFotoProfilo") {
            $queryAggiornamentoUtente ="UPDATE geec_utenti SET foto = '' WHERE id={$_SESSION["geecomUser_id"]}";
            $geecomDb->eseguiQueryScrittura($queryAggiornamentoUtente);
            echo "ok";
        } 
    }